Index: cpukit/score/cpu/arm/ChangeLog
===================================================================
--- cpukit/score/cpu/arm/ChangeLog	(revision 4ef13360d61173e2b5cac0cc43c406295ae9adfe)
+++ cpukit/score/cpu/arm/ChangeLog	(revision a44edd152f92e9609003a188b52739369d99472b)
@@ -1,2 +1,13 @@
+2010-07-29	Gedare Bloom <giddyup44@yahoo.com>
+
+	PR 1635/cpukit
+	* rtems/score/types.h: Refactoring of priority handling, to isolate the
+	bitmap implementation of priorities in the supercore so that priority
+	management is a little more modular. This change is in anticipation
+	of scheduler implementations that can select how they manage tracking
+	priority levels / finding the highest priority ready task. Note that
+	most of the changes here are simple renaming, to clarify the use of
+	the bitmap-based priority management.
+
 2010-07-16	Sebastian Huber <sebastian.huber@embedded-brains.de>
 
Index: cpukit/score/cpu/arm/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/arm/rtems/score/types.h	(revision 4ef13360d61173e2b5cac0cc43c406295ae9adfe)
+++ cpukit/score/cpu/arm/rtems/score/types.h	(revision a44edd152f92e9609003a188b52739369d99472b)
@@ -43,5 +43,5 @@
  */
 
-typedef uint16_t         Priority_Bit_map_control;
+typedef uint16_t         Priority_bit_map_Control;
 
 /** @} */
Index: cpukit/score/cpu/i386/ChangeLog
===================================================================
--- cpukit/score/cpu/i386/ChangeLog	(revision 4ef13360d61173e2b5cac0cc43c406295ae9adfe)
+++ cpukit/score/cpu/i386/ChangeLog	(revision a44edd152f92e9609003a188b52739369d99472b)
@@ -1,2 +1,13 @@
+2010-07-29	Gedare Bloom <giddyup44@yahoo.com>
+
+	PR 1635/cpukit
+	* rtems/score/types.h: Refactoring of priority handling, to isolate the
+	bitmap implementation of priorities in the supercore so that priority
+	management is a little more modular. This change is in anticipation
+	of scheduler implementations that can select how they manage tracking
+	priority levels / finding the highest priority ready task. Note that
+	most of the changes here are simple renaming, to clarify the use of
+	the bitmap-based priority management.
+
 2010-07-16	Sebastian Huber <sebastian.huber@embedded-brains.de>
 
Index: cpukit/score/cpu/i386/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/i386/rtems/score/types.h	(revision 4ef13360d61173e2b5cac0cc43c406295ae9adfe)
+++ cpukit/score/cpu/i386/rtems/score/types.h	(revision a44edd152f92e9609003a188b52739369d99472b)
@@ -32,5 +32,5 @@
  */
 
-typedef uint16_t Priority_Bit_map_control;
+typedef uint16_t Priority_bit_map_Control;
 typedef void i386_isr;
 typedef i386_isr ( *i386_isr_entry )( void );
Index: cpukit/score/cpu/m68k/ChangeLog
===================================================================
--- cpukit/score/cpu/m68k/ChangeLog	(revision 4ef13360d61173e2b5cac0cc43c406295ae9adfe)
+++ cpukit/score/cpu/m68k/ChangeLog	(revision a44edd152f92e9609003a188b52739369d99472b)
@@ -1,2 +1,13 @@
+2010-07-29	Gedare Bloom <giddyup44@yahoo.com>
+
+	PR 1635/cpukit
+	* rtems/score/types.h: Refactoring of priority handling, to isolate the
+	bitmap implementation of priorities in the supercore so that priority
+	management is a little more modular. This change is in anticipation
+	of scheduler implementations that can select how they manage tracking
+	priority levels / finding the highest priority ready task. Note that
+	most of the changes here are simple renaming, to clarify the use of
+	the bitmap-based priority management.
+
 2010-07-16	Sebastian Huber <sebastian.huber@embedded-brains.de>
 
Index: cpukit/score/cpu/m68k/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/m68k/rtems/score/types.h	(revision 4ef13360d61173e2b5cac0cc43c406295ae9adfe)
+++ cpukit/score/cpu/m68k/rtems/score/types.h	(revision a44edd152f92e9609003a188b52739369d99472b)
@@ -32,5 +32,5 @@
  */
 
-typedef uint16_t     Priority_Bit_map_control;
+typedef uint16_t     Priority_bit_map_Control;
 typedef void m68k_isr;
 typedef void ( *m68k_isr_entry )( void );
Index: cpukit/score/cpu/sparc/ChangeLog
===================================================================
--- cpukit/score/cpu/sparc/ChangeLog	(revision 4ef13360d61173e2b5cac0cc43c406295ae9adfe)
+++ cpukit/score/cpu/sparc/ChangeLog	(revision a44edd152f92e9609003a188b52739369d99472b)
@@ -1,2 +1,13 @@
+2010-07-29	Gedare Bloom <giddyup44@yahoo.com>
+
+	PR 1635/cpukit
+	* rtems/score/types.h: Refactoring of priority handling, to isolate the
+	bitmap implementation of priorities in the supercore so that priority
+	management is a little more modular. This change is in anticipation
+	of scheduler implementations that can select how they manage tracking
+	priority levels / finding the highest priority ready task. Note that
+	most of the changes here are simple renaming, to clarify the use of
+	the bitmap-based priority management.
+
 2010-07-16	Sebastian Huber <sebastian.huber@embedded-brains.de>
 
Index: cpukit/score/cpu/sparc/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/sparc/rtems/score/types.h	(revision 4ef13360d61173e2b5cac0cc43c406295ae9adfe)
+++ cpukit/score/cpu/sparc/rtems/score/types.h	(revision a44edd152f92e9609003a188b52739369d99472b)
@@ -32,5 +32,5 @@
  */
 
-typedef uint16_t         Priority_Bit_map_control;
+typedef uint16_t         Priority_bit_map_Control;
 typedef void sparc_isr;
 typedef void ( *sparc_isr_entry )( void );
Index: cpukit/score/cpu/sparc64/ChangeLog
===================================================================
--- cpukit/score/cpu/sparc64/ChangeLog	(revision 4ef13360d61173e2b5cac0cc43c406295ae9adfe)
+++ cpukit/score/cpu/sparc64/ChangeLog	(revision a44edd152f92e9609003a188b52739369d99472b)
@@ -1,2 +1,13 @@
+2010-07-29	Gedare Bloom <giddyup44@yahoo.com>
+
+	PR 1635/cpukit
+	* rtems/score/types.h: Refactoring of priority handling, to isolate the
+	bitmap implementation of priorities in the supercore so that priority
+	management is a little more modular. This change is in anticipation
+	of scheduler implementations that can select how they manage tracking
+	priority levels / finding the highest priority ready task. Note that
+	most of the changes here are simple renaming, to clarify the use of
+	the bitmap-based priority management.
+
 2010-07-16	Sebastian Huber <sebastian.huber@embedded-brains.de>
 
Index: cpukit/score/cpu/sparc64/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/sparc64/rtems/score/types.h	(revision 4ef13360d61173e2b5cac0cc43c406295ae9adfe)
+++ cpukit/score/cpu/sparc64/rtems/score/types.h	(revision a44edd152f92e9609003a188b52739369d99472b)
@@ -32,5 +32,5 @@
  */
 
-typedef uint16_t         Priority_Bit_map_control;
+typedef uint16_t         Priority_bit_map_Control;
 typedef void sparc_isr;
 typedef void ( *sparc_isr_entry )( void );
